Subject: bug#3228: 23.0.93; GTK font selection: asked for Courier, got Nimbus

From: Kenichi Handa <[email-masked]>
Date: Fri, 17 Aug 2012 00:05:37 +0900

In article <[email-masked]>, Chong Yidong <[email-masked]> writes:

> Kenichi Handa <[email-masked]> writes:
> > So, this problem can be solved by modifying x-select-font
> > (called from menu-set-font) to return a font-spec (with a
> > proper font-backend name in :type) instead of font-name.

> I've now done this in the trunk for the GTK 3 case.  It's not
> straightforward to do this for GTK 2, so I will not attempt that.

Thank you.  I also wrote:

> > But, x-select-font is called from mouse-appearance-menu (in
> > mouse.el) too, and it does something like this:
 
> > (buffer-face-mode-invoke (font-face-attributes (x-select-font)) ...)

> > and thus the :type information is lost by
> > font-face-attributes.  I don't know why we need
> > font-face-attributes here.

How did you solve it?  Or, is it not a problem?

---
Kenichi Handa
[email-masked]